package com.sunxung.factoring.entity.financing.sop;

import java.math.BigDecimal;

/**
 * 融资信息  贸理通sop对接类
 *
 * @author liutao
 * @date 2022-10-31
 */
public class ReviewFinancingInfoApi {

    /**
     * 融资金额
     */
    private BigDecimal financingAmount;

    /**
     * 币种 对应币种code、比如CNY（人民币），USD（美元）
     */
    private String currency;

    /**
     * 融资期限
     */
    private Integer financingPeriod;

    /**
     * 资方
     */
    private String refinancingManagement;

    /**
     * 是否占用公司金额 1:是，0:否
     */
    private Integer occupation;

    /**
     * 是否公司承险
     * 0：否；1：是
     */
    private Integer risk;

    /**
     * 起算日类型
     */
    private String startingDateType;

    /**
     * 放款日期
     * 格式yyyy-MM-dd
     */
    private String startingDate;

    /**
     * 利息是否计算投放日
     * 0：否；1：是
     */
    private Integer interestCalculate;

    /**
     * 还款方式
     * 0：前收息，1：后收息，2：按月还款 3：手动生成，4：管理费前收利息后收
     */
    private String payBackMethod;

    /**
     * 融资利率（年化）
     */
    private BigDecimal financingRate;

    /**
     * 管理费利率（年化）
     */
    private BigDecimal managementRate;

    /**
     * 保证金比例
     **/
    private BigDecimal marginRatio;

    /**
     * 逾期利率
     */
    private BigDecimal overdueInterestRate;

    /**
     * 对外综合报价
     */
    private BigDecimal comprehensiveQuotation;

    /**
     * 提前回款利息计算方式
     */
    private String prepaymentInterestCalculate;

    /**
     * 银行卡号
     *
     * @return
     */
    private String bankCardNo;

    /**
     * 汇率
     */
    private BigDecimal exchangeRate;

    /**
     * 授信编号
     */
    private String creditNumber;

    /**
     * 业务类型
     */
    private Integer businessType;

    /**
     * 账号名称
     */
    private String accountName;

    /**
     * 支用到期日
     */
    private String disburseExpiryDate;

    /**
     * 回款方式
     **/
    private String repaymentMethod;

    /**
     * 转让通知方式,多选
     **/
    private String transferNoticeMethod;

    /**
     * 服务范围,多选
     **/
    private String serviceScope;

    /**
     * 其他费用金额
     **/
    private BigDecimal otherFeeAmount;

    public BigDecimal getExchangeRate() {
        return exchangeRate;
    }

    public void setExchangeRate(BigDecimal exchangeRate) {
        this.exchangeRate = exchangeRate;
    }

    public String getBankCardNo() {
        return bankCardNo;
    }

    public void setBankCardNo(String bankCardNo) {
        this.bankCardNo = bankCardNo;
    }

    public BigDecimal getFinancingAmount() {
        return financingAmount;
    }

    public void setFinancingAmount(BigDecimal financingAmount) {
        this.financingAmount = financingAmount;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public Integer getFinancingPeriod() {
        return financingPeriod;
    }

    public void setFinancingPeriod(Integer financingPeriod) {
        this.financingPeriod = financingPeriod;
    }

    public String getRefinancingManagement() {
        return refinancingManagement;
    }

    public void setRefinancingManagement(String refinancingManagement) {
        this.refinancingManagement = refinancingManagement;
    }

    public Integer getRisk() {
        return risk;
    }

    public void setRisk(Integer risk) {
        this.risk = risk;
    }

    public String getStartingDate() {
        return startingDate;
    }

    public void setStartingDate(String startingDate) {
        this.startingDate = startingDate;
    }

    public Integer getInterestCalculate() {
        return interestCalculate;
    }

    public void setInterestCalculate(Integer interestCalculate) {
        this.interestCalculate = interestCalculate;
    }

    public String getPayBackMethod() {
        return payBackMethod;
    }

    public void setPayBackMethod(String payBackMethod) {
        this.payBackMethod = payBackMethod;
    }

    public BigDecimal getFinancingRate() {
        return financingRate;
    }

    public void setFinancingRate(BigDecimal financingRate) {
        this.financingRate = financingRate;
    }

    public BigDecimal getManagementRate() {
        return managementRate;
    }

    public void setManagementRate(BigDecimal managementRate) {
        this.managementRate = managementRate;
    }

    public BigDecimal getOverdueInterestRate() {
        return overdueInterestRate;
    }

    public void setOverdueInterestRate(BigDecimal overdueInterestRate) {
        this.overdueInterestRate = overdueInterestRate;
    }

    public BigDecimal getComprehensiveQuotation() {
        return comprehensiveQuotation;
    }

    public void setComprehensiveQuotation(BigDecimal comprehensiveQuotation) {
        this.comprehensiveQuotation = comprehensiveQuotation;
    }

    public String getCreditNumber() {
        return creditNumber;
    }

    public void setCreditNumber(String creditNumber) {
        this.creditNumber = creditNumber;
    }

    public Integer getOccupation() {
        return occupation;
    }

    public void setOccupation(Integer occupation) {
        this.occupation = occupation;
    }

    public String getPrepaymentInterestCalculate() {
        return prepaymentInterestCalculate;
    }

    public void setPrepaymentInterestCalculate(String prepaymentInterestCalculate) {
        this.prepaymentInterestCalculate = prepaymentInterestCalculate;
    }

    public String getAccountName() {
        return accountName;
    }

    public void setAccountName(String accountName) {
        this.accountName = accountName;
    }

    public String getDisburseExpiryDate() {
        return disburseExpiryDate;
    }

    public void setDisburseExpiryDate(String disburseExpiryDate) {
        this.disburseExpiryDate = disburseExpiryDate;
    }

    public Integer getBusinessType() {
        return businessType;
    }

    public void setBusinessType(Integer businessType) {
        this.businessType = businessType;
    }

    public BigDecimal getMarginRatio() {
        return marginRatio;
    }

    public void setMarginRatio(BigDecimal marginRatio) {
        this.marginRatio = marginRatio;
    }

    public String getStartingDateType() {
        return startingDateType;
    }

    public void setStartingDateType(String startingDateType) {
        this.startingDateType = startingDateType;
    }

    public String getRepaymentMethod() {
        return repaymentMethod;
    }

    public void setRepaymentMethod(String repaymentMethod) {
        this.repaymentMethod = repaymentMethod;
    }

    public String getTransferNoticeMethod() {
        return transferNoticeMethod;
    }

    public void setTransferNoticeMethod(String transferNoticeMethod) {
        this.transferNoticeMethod = transferNoticeMethod;
    }

    public String getServiceScope() {
        return serviceScope;
    }

    public void setServiceScope(String serviceScope) {
        this.serviceScope = serviceScope;
    }

    public BigDecimal getOtherFeeAmount() {
        return otherFeeAmount;
    }

    public void setOtherFeeAmount(BigDecimal otherFeeAmount) {
        this.otherFeeAmount = otherFeeAmount;
    }
}
